GNU Binutils with patches for OS216
Revision | c82d1ad445796aec74ff3b3eefb5e2596f7af1c9 (tree) |
---|---|
Time | 2005-11-04 04:53:30 |
Author | Daniel Jacobowitz <drow@fals...> |
Commiter | Daniel Jacobowitz |
* configure.in: Check for fopen64.
* libbfd-in.h (real_fopen): New prototype.
* configure, config.in, libbfd.h: Regenerated.
* bfdio.c (real_fopen): New function.
* opncls.c (bfd_fopen, bfd_fill_in_gnu_debuglink_section): Use it.
* cache.c (bfd_open_file): Likewise.
@@ -1,3 +1,12 @@ | ||
1 | +2005-11-03 Daniel Jacobowitz <dan@codesourcery.com> | |
2 | + | |
3 | + * configure.in: Check for fopen64. | |
4 | + * libbfd-in.h (real_fopen): New prototype. | |
5 | + * configure, config.in, libbfd.h: Regenerated. | |
6 | + * bfdio.c (real_fopen): New function. | |
7 | + * opncls.c (bfd_fopen, bfd_fill_in_gnu_debuglink_section): Use it. | |
8 | + * cache.c (bfd_open_file): Likewise. | |
9 | + | |
1 | 10 | 2005-11-02 Alan Modra <amodra@bigpond.net.au> |
2 | 11 | |
3 | 12 | PR ld/1775 |
@@ -63,6 +63,16 @@ real_fseek (FILE *file, file_ptr offset, int whence) | ||
63 | 63 | #endif |
64 | 64 | } |
65 | 65 | |
66 | +FILE * | |
67 | +real_fopen (const char *filename, const char *modes) | |
68 | +{ | |
69 | +#if defined (HAVE_FOPEN64) | |
70 | + return fopen64 (filename, modes); | |
71 | +#else | |
72 | + return fopen (filename, modes); | |
73 | +#endif | |
74 | +} | |
75 | + | |
66 | 76 | /* |
67 | 77 | INTERNAL_DEFINITION |
68 | 78 | struct bfd_iovec |
@@ -476,15 +476,15 @@ bfd_open_file (bfd *abfd) | ||
476 | 476 | { |
477 | 477 | case read_direction: |
478 | 478 | case no_direction: |
479 | - abfd->iostream = (PTR) fopen (abfd->filename, FOPEN_RB); | |
479 | + abfd->iostream = (PTR) real_fopen (abfd->filename, FOPEN_RB); | |
480 | 480 | break; |
481 | 481 | case both_direction: |
482 | 482 | case write_direction: |
483 | 483 | if (abfd->opened_once) |
484 | 484 | { |
485 | - abfd->iostream = (PTR) fopen (abfd->filename, FOPEN_RUB); | |
485 | + abfd->iostream = (PTR) real_fopen (abfd->filename, FOPEN_RUB); | |
486 | 486 | if (abfd->iostream == NULL) |
487 | - abfd->iostream = (PTR) fopen (abfd->filename, FOPEN_WUB); | |
487 | + abfd->iostream = (PTR) real_fopen (abfd->filename, FOPEN_WUB); | |
488 | 488 | } |
489 | 489 | else |
490 | 490 | { |
@@ -514,7 +514,7 @@ bfd_open_file (bfd *abfd) | ||
514 | 514 | if (stat (abfd->filename, &s) == 0 && s.st_size != 0) |
515 | 515 | unlink_if_ordinary (abfd->filename); |
516 | 516 | #endif |
517 | - abfd->iostream = (PTR) fopen (abfd->filename, FOPEN_WUB); | |
517 | + abfd->iostream = (PTR) real_fopen (abfd->filename, FOPEN_WUB); | |
518 | 518 | abfd->opened_once = TRUE; |
519 | 519 | } |
520 | 520 | break; |
@@ -92,6 +92,9 @@ | ||
92 | 92 | /* Define to 1 if you have the `fdopen' function. */ |
93 | 93 | #undef HAVE_FDOPEN |
94 | 94 | |
95 | +/* Define to 1 if you have the `fopen64' function. */ | |
96 | +#undef HAVE_FOPEN64 | |
97 | + | |
95 | 98 | /* Define to 1 if you have the `fseeko' function. */ |
96 | 99 | #undef HAVE_FSEEKO |
97 | 100 |
@@ -975,7 +975,7 @@ esac | ||
975 | 975 | else |
976 | 976 | echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2 |
977 | 977 | fi |
978 | - cd $ac_popdir | |
978 | + cd "$ac_popdir" | |
979 | 979 | done |
980 | 980 | fi |
981 | 981 |
@@ -1999,8 +1999,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
1999 | 1999 | cat conftest.err >&5 |
2000 | 2000 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
2001 | 2001 | (exit $ac_status); } && |
2002 | - { ac_try='test -z "$ac_c_werror_flag" | |
2003 | - || test ! -s conftest.err' | |
2002 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
2004 | 2003 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
2005 | 2004 | (eval $ac_try) 2>&5 |
2006 | 2005 | ac_status=$? |
@@ -2058,8 +2057,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
2058 | 2057 | cat conftest.err >&5 |
2059 | 2058 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
2060 | 2059 | (exit $ac_status); } && |
2061 | - { ac_try='test -z "$ac_c_werror_flag" | |
2062 | - || test ! -s conftest.err' | |
2060 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
2063 | 2061 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
2064 | 2062 | (eval $ac_try) 2>&5 |
2065 | 2063 | ac_status=$? |
@@ -2175,8 +2173,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
2175 | 2173 | cat conftest.err >&5 |
2176 | 2174 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
2177 | 2175 | (exit $ac_status); } && |
2178 | - { ac_try='test -z "$ac_c_werror_flag" | |
2179 | - || test ! -s conftest.err' | |
2176 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
2180 | 2177 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
2181 | 2178 | (eval $ac_try) 2>&5 |
2182 | 2179 | ac_status=$? |
@@ -2230,8 +2227,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
2230 | 2227 | cat conftest.err >&5 |
2231 | 2228 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
2232 | 2229 | (exit $ac_status); } && |
2233 | - { ac_try='test -z "$ac_c_werror_flag" | |
2234 | - || test ! -s conftest.err' | |
2230 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
2235 | 2231 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
2236 | 2232 | (eval $ac_try) 2>&5 |
2237 | 2233 | ac_status=$? |
@@ -2276,8 +2272,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
2276 | 2272 | cat conftest.err >&5 |
2277 | 2273 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
2278 | 2274 | (exit $ac_status); } && |
2279 | - { ac_try='test -z "$ac_c_werror_flag" | |
2280 | - || test ! -s conftest.err' | |
2275 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
2281 | 2276 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
2282 | 2277 | (eval $ac_try) 2>&5 |
2283 | 2278 | ac_status=$? |
@@ -2321,8 +2316,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
2321 | 2316 | cat conftest.err >&5 |
2322 | 2317 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
2323 | 2318 | (exit $ac_status); } && |
2324 | - { ac_try='test -z "$ac_c_werror_flag" | |
2325 | - || test ! -s conftest.err' | |
2319 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
2326 | 2320 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
2327 | 2321 | (eval $ac_try) 2>&5 |
2328 | 2322 | ac_status=$? |
@@ -2400,8 +2394,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
2400 | 2394 | cat conftest.err >&5 |
2401 | 2395 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
2402 | 2396 | (exit $ac_status); } && |
2403 | - { ac_try='test -z "$ac_c_werror_flag" | |
2404 | - || test ! -s conftest.err' | |
2397 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
2405 | 2398 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
2406 | 2399 | (eval $ac_try) 2>&5 |
2407 | 2400 | ac_status=$? |
@@ -2455,8 +2448,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
2455 | 2448 | cat conftest.err >&5 |
2456 | 2449 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
2457 | 2450 | (exit $ac_status); } && |
2458 | - { ac_try='test -z "$ac_c_werror_flag" | |
2459 | - || test ! -s conftest.err' | |
2451 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
2460 | 2452 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
2461 | 2453 | (eval $ac_try) 2>&5 |
2462 | 2454 | ac_status=$? |
@@ -3976,7 +3968,7 @@ test x"$pic_mode" = xno && libtool_flags="$libtool_flags --prefer-non-pic" | ||
3976 | 3968 | case $host in |
3977 | 3969 | *-*-irix6*) |
3978 | 3970 | # Find out which ABI we are using. |
3979 | - echo '#line 3979 "configure"' > conftest.$ac_ext | |
3971 | + echo '#line 3971 "configure"' > conftest.$ac_ext | |
3980 | 3972 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 |
3981 | 3973 | (eval $ac_compile) 2>&5 |
3982 | 3974 | ac_status=$? |
@@ -4072,8 +4064,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
4072 | 4064 | cat conftest.err >&5 |
4073 | 4065 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
4074 | 4066 | (exit $ac_status); } && |
4075 | - { ac_try='test -z "$ac_c_werror_flag" | |
4076 | - || test ! -s conftest.err' | |
4067 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
4077 | 4068 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
4078 | 4069 | (eval $ac_try) 2>&5 |
4079 | 4070 | ac_status=$? |
@@ -4796,8 +4787,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
4796 | 4787 | cat conftest.err >&5 |
4797 | 4788 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
4798 | 4789 | (exit $ac_status); } && |
4799 | - { ac_try='test -z "$ac_c_werror_flag" | |
4800 | - || test ! -s conftest.err' | |
4790 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
4801 | 4791 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
4802 | 4792 | (eval $ac_try) 2>&5 |
4803 | 4793 | ac_status=$? |
@@ -4855,8 +4845,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
4855 | 4845 | cat conftest.err >&5 |
4856 | 4846 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
4857 | 4847 | (exit $ac_status); } && |
4858 | - { ac_try='test -z "$ac_c_werror_flag" | |
4859 | - || test ! -s conftest.err' | |
4848 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
4860 | 4849 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
4861 | 4850 | (eval $ac_try) 2>&5 |
4862 | 4851 | ac_status=$? |
@@ -4972,8 +4961,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
4972 | 4961 | cat conftest.err >&5 |
4973 | 4962 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
4974 | 4963 | (exit $ac_status); } && |
4975 | - { ac_try='test -z "$ac_c_werror_flag" | |
4976 | - || test ! -s conftest.err' | |
4964 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
4977 | 4965 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
4978 | 4966 | (eval $ac_try) 2>&5 |
4979 | 4967 | ac_status=$? |
@@ -5027,8 +5015,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
5027 | 5015 | cat conftest.err >&5 |
5028 | 5016 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
5029 | 5017 | (exit $ac_status); } && |
5030 | - { ac_try='test -z "$ac_c_werror_flag" | |
5031 | - || test ! -s conftest.err' | |
5018 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
5032 | 5019 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
5033 | 5020 | (eval $ac_try) 2>&5 |
5034 | 5021 | ac_status=$? |
@@ -5073,8 +5060,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
5073 | 5060 | cat conftest.err >&5 |
5074 | 5061 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
5075 | 5062 | (exit $ac_status); } && |
5076 | - { ac_try='test -z "$ac_c_werror_flag" | |
5077 | - || test ! -s conftest.err' | |
5063 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
5078 | 5064 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
5079 | 5065 | (eval $ac_try) 2>&5 |
5080 | 5066 | ac_status=$? |
@@ -5118,8 +5104,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
5118 | 5104 | cat conftest.err >&5 |
5119 | 5105 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
5120 | 5106 | (exit $ac_status); } && |
5121 | - { ac_try='test -z "$ac_c_werror_flag" | |
5122 | - || test ! -s conftest.err' | |
5107 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
5123 | 5108 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
5124 | 5109 | (eval $ac_try) 2>&5 |
5125 | 5110 | ac_status=$? |
@@ -5529,8 +5514,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
5529 | 5514 | cat conftest.err >&5 |
5530 | 5515 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
5531 | 5516 | (exit $ac_status); } && |
5532 | - { ac_try='test -z "$ac_c_werror_flag" | |
5533 | - || test ! -s conftest.err' | |
5517 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
5534 | 5518 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
5535 | 5519 | (eval $ac_try) 2>&5 |
5536 | 5520 | ac_status=$? |
@@ -5737,8 +5721,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
5737 | 5721 | cat conftest.err >&5 |
5738 | 5722 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
5739 | 5723 | (exit $ac_status); } && |
5740 | - { ac_try='test -z "$ac_c_werror_flag" | |
5741 | - || test ! -s conftest.err' | |
5724 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
5742 | 5725 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
5743 | 5726 | (eval $ac_try) 2>&5 |
5744 | 5727 | ac_status=$? |
@@ -5798,8 +5781,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
5798 | 5781 | cat conftest.err >&5 |
5799 | 5782 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
5800 | 5783 | (exit $ac_status); } && |
5801 | - { ac_try='test -z "$ac_c_werror_flag" | |
5802 | - || test ! -s conftest.err' | |
5784 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
5803 | 5785 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
5804 | 5786 | (eval $ac_try) 2>&5 |
5805 | 5787 | ac_status=$? |
@@ -5878,8 +5860,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
5878 | 5860 | cat conftest.err >&5 |
5879 | 5861 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
5880 | 5862 | (exit $ac_status); } && |
5881 | - { ac_try='test -z "$ac_c_werror_flag" | |
5882 | - || test ! -s conftest.err' | |
5863 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
5883 | 5864 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
5884 | 5865 | (eval $ac_try) 2>&5 |
5885 | 5866 | ac_status=$? |
@@ -5944,8 +5925,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
5944 | 5925 | cat conftest.err >&5 |
5945 | 5926 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
5946 | 5927 | (exit $ac_status); } && |
5947 | - { ac_try='test -z "$ac_c_werror_flag" | |
5948 | - || test ! -s conftest.err' | |
5928 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
5949 | 5929 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
5950 | 5930 | (eval $ac_try) 2>&5 |
5951 | 5931 | ac_status=$? |
@@ -6010,8 +5990,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
6010 | 5990 | cat conftest.err >&5 |
6011 | 5991 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
6012 | 5992 | (exit $ac_status); } && |
6013 | - { ac_try='test -z "$ac_c_werror_flag" | |
6014 | - || test ! -s conftest.err' | |
5993 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
6015 | 5994 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
6016 | 5995 | (eval $ac_try) 2>&5 |
6017 | 5996 | ac_status=$? |
@@ -6075,8 +6054,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
6075 | 6054 | cat conftest.err >&5 |
6076 | 6055 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
6077 | 6056 | (exit $ac_status); } && |
6078 | - { ac_try='test -z "$ac_c_werror_flag" | |
6079 | - || test ! -s conftest.err' | |
6057 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
6080 | 6058 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
6081 | 6059 | (eval $ac_try) 2>&5 |
6082 | 6060 | ac_status=$? |
@@ -6157,8 +6135,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
6157 | 6135 | cat conftest.err >&5 |
6158 | 6136 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
6159 | 6137 | (exit $ac_status); } && |
6160 | - { ac_try='test -z "$ac_c_werror_flag" | |
6161 | - || test ! -s conftest.err' | |
6138 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
6162 | 6139 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
6163 | 6140 | (eval $ac_try) 2>&5 |
6164 | 6141 | ac_status=$? |
@@ -6299,8 +6276,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
6299 | 6276 | cat conftest.err >&5 |
6300 | 6277 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
6301 | 6278 | (exit $ac_status); } && |
6302 | - { ac_try='test -z "$ac_c_werror_flag" | |
6303 | - || test ! -s conftest.err' | |
6279 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
6304 | 6280 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
6305 | 6281 | (eval $ac_try) 2>&5 |
6306 | 6282 | ac_status=$? |
@@ -6438,8 +6414,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
6438 | 6414 | cat conftest.err >&5 |
6439 | 6415 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
6440 | 6416 | (exit $ac_status); } && |
6441 | - { ac_try='test -z "$ac_c_werror_flag" | |
6442 | - || test ! -s conftest.err' | |
6417 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
6443 | 6418 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
6444 | 6419 | (eval $ac_try) 2>&5 |
6445 | 6420 | ac_status=$? |
@@ -6623,8 +6598,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
6623 | 6598 | cat conftest.err >&5 |
6624 | 6599 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
6625 | 6600 | (exit $ac_status); } && |
6626 | - { ac_try='test -z "$ac_c_werror_flag" | |
6627 | - || test ! -s conftest.err' | |
6601 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
6628 | 6602 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
6629 | 6603 | (eval $ac_try) 2>&5 |
6630 | 6604 | ac_status=$? |
@@ -6875,8 +6849,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
6875 | 6849 | cat conftest.err >&5 |
6876 | 6850 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
6877 | 6851 | (exit $ac_status); } && |
6878 | - { ac_try='test -z "$ac_c_werror_flag" | |
6879 | - || test ! -s conftest.err' | |
6852 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
6880 | 6853 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
6881 | 6854 | (eval $ac_try) 2>&5 |
6882 | 6855 | ac_status=$? |
@@ -7070,8 +7043,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
7070 | 7043 | cat conftest.err >&5 |
7071 | 7044 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
7072 | 7045 | (exit $ac_status); } && |
7073 | - { ac_try='test -z "$ac_c_werror_flag" | |
7074 | - || test ! -s conftest.err' | |
7046 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
7075 | 7047 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
7076 | 7048 | (eval $ac_try) 2>&5 |
7077 | 7049 | ac_status=$? |
@@ -7174,8 +7146,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
7174 | 7146 | cat conftest.err >&5 |
7175 | 7147 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
7176 | 7148 | (exit $ac_status); } && |
7177 | - { ac_try='test -z "$ac_c_werror_flag" | |
7178 | - || test ! -s conftest.err' | |
7149 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
7179 | 7150 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
7180 | 7151 | (eval $ac_try) 2>&5 |
7181 | 7152 | ac_status=$? |
@@ -7246,8 +7217,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
7246 | 7217 | cat conftest.err >&5 |
7247 | 7218 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
7248 | 7219 | (exit $ac_status); } && |
7249 | - { ac_try='test -z "$ac_c_werror_flag" | |
7250 | - || test ! -s conftest.err' | |
7220 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
7251 | 7221 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
7252 | 7222 | (eval $ac_try) 2>&5 |
7253 | 7223 | ac_status=$? |
@@ -7344,8 +7314,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
7344 | 7314 | cat conftest.err >&5 |
7345 | 7315 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
7346 | 7316 | (exit $ac_status); } && |
7347 | - { ac_try='test -z "$ac_c_werror_flag" | |
7348 | - || test ! -s conftest.err' | |
7317 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
7349 | 7318 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
7350 | 7319 | (eval $ac_try) 2>&5 |
7351 | 7320 | ac_status=$? |
@@ -7481,8 +7450,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
7481 | 7450 | cat conftest.err >&5 |
7482 | 7451 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
7483 | 7452 | (exit $ac_status); } && |
7484 | - { ac_try='test -z "$ac_c_werror_flag" | |
7485 | - || test ! -s conftest.err' | |
7453 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
7486 | 7454 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
7487 | 7455 | (eval $ac_try) 2>&5 |
7488 | 7456 | ac_status=$? |
@@ -7546,8 +7514,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
7546 | 7514 | cat conftest.err >&5 |
7547 | 7515 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
7548 | 7516 | (exit $ac_status); } && |
7549 | - { ac_try='test -z "$ac_c_werror_flag" | |
7550 | - || test ! -s conftest.err' | |
7517 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
7551 | 7518 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
7552 | 7519 | (eval $ac_try) 2>&5 |
7553 | 7520 | ac_status=$? |
@@ -7602,8 +7569,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
7602 | 7569 | cat conftest.err >&5 |
7603 | 7570 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
7604 | 7571 | (exit $ac_status); } && |
7605 | - { ac_try='test -z "$ac_c_werror_flag" | |
7606 | - || test ! -s conftest.err' | |
7572 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
7607 | 7573 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
7608 | 7574 | (eval $ac_try) 2>&5 |
7609 | 7575 | ac_status=$? |
@@ -7743,8 +7709,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
7743 | 7709 | cat conftest.err >&5 |
7744 | 7710 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
7745 | 7711 | (exit $ac_status); } && |
7746 | - { ac_try='test -z "$ac_c_werror_flag" | |
7747 | - || test ! -s conftest.err' | |
7712 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
7748 | 7713 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
7749 | 7714 | (eval $ac_try) 2>&5 |
7750 | 7715 | ac_status=$? |
@@ -7877,8 +7842,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
7877 | 7842 | cat conftest.err >&5 |
7878 | 7843 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
7879 | 7844 | (exit $ac_status); } && |
7880 | - { ac_try='test -z "$ac_c_werror_flag" | |
7881 | - || test ! -s conftest.err' | |
7845 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
7882 | 7846 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
7883 | 7847 | (eval $ac_try) 2>&5 |
7884 | 7848 | ac_status=$? |
@@ -8155,8 +8119,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
8155 | 8119 | cat conftest.err >&5 |
8156 | 8120 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
8157 | 8121 | (exit $ac_status); } && |
8158 | - { ac_try='test -z "$ac_c_werror_flag" | |
8159 | - || test ! -s conftest.err' | |
8122 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
8160 | 8123 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
8161 | 8124 | (eval $ac_try) 2>&5 |
8162 | 8125 | ac_status=$? |
@@ -8428,8 +8391,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
8428 | 8391 | cat conftest.err >&5 |
8429 | 8392 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
8430 | 8393 | (exit $ac_status); } && |
8431 | - { ac_try='test -z "$ac_c_werror_flag" | |
8432 | - || test ! -s conftest.err' | |
8394 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
8433 | 8395 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
8434 | 8396 | (eval $ac_try) 2>&5 |
8435 | 8397 | ac_status=$? |
@@ -8487,8 +8449,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
8487 | 8449 | cat conftest.err >&5 |
8488 | 8450 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
8489 | 8451 | (exit $ac_status); } && |
8490 | - { ac_try='test -z "$ac_c_werror_flag" | |
8491 | - || test ! -s conftest.err' | |
8452 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
8492 | 8453 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
8493 | 8454 | (eval $ac_try) 2>&5 |
8494 | 8455 | ac_status=$? |
@@ -8550,8 +8511,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
8550 | 8511 | cat conftest.err >&5 |
8551 | 8512 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
8552 | 8513 | (exit $ac_status); } && |
8553 | - { ac_try='test -z "$ac_c_werror_flag" | |
8554 | - || test ! -s conftest.err' | |
8514 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
8555 | 8515 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
8556 | 8516 | (eval $ac_try) 2>&5 |
8557 | 8517 | ac_status=$? |
@@ -8591,8 +8551,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
8591 | 8551 | cat conftest.err >&5 |
8592 | 8552 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
8593 | 8553 | (exit $ac_status); } && |
8594 | - { ac_try='test -z "$ac_c_werror_flag" | |
8595 | - || test ! -s conftest.err' | |
8554 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
8596 | 8555 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
8597 | 8556 | (eval $ac_try) 2>&5 |
8598 | 8557 | ac_status=$? |
@@ -8648,8 +8607,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
8648 | 8607 | cat conftest.err >&5 |
8649 | 8608 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
8650 | 8609 | (exit $ac_status); } && |
8651 | - { ac_try='test -z "$ac_c_werror_flag" | |
8652 | - || test ! -s conftest.err' | |
8610 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
8653 | 8611 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
8654 | 8612 | (eval $ac_try) 2>&5 |
8655 | 8613 | ac_status=$? |
@@ -8689,8 +8647,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
8689 | 8647 | cat conftest.err >&5 |
8690 | 8648 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
8691 | 8649 | (exit $ac_status); } && |
8692 | - { ac_try='test -z "$ac_c_werror_flag" | |
8693 | - || test ! -s conftest.err' | |
8650 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
8694 | 8651 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
8695 | 8652 | (eval $ac_try) 2>&5 |
8696 | 8653 | ac_status=$? |
@@ -8754,8 +8711,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
8754 | 8711 | cat conftest.err >&5 |
8755 | 8712 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
8756 | 8713 | (exit $ac_status); } && |
8757 | - { ac_try='test -z "$ac_c_werror_flag" | |
8758 | - || test ! -s conftest.err' | |
8714 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
8759 | 8715 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
8760 | 8716 | (eval $ac_try) 2>&5 |
8761 | 8717 | ac_status=$? |
@@ -8786,10 +8742,8 @@ See \`config.log' for more details." >&2;} | ||
8786 | 8742 | esac |
8787 | 8743 | else |
8788 | 8744 | if test "$cross_compiling" = yes; then |
8789 | - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling | |
8790 | -See \`config.log' for more details." >&5 | |
8791 | -echo "$as_me: error: cannot run test program while cross compiling | |
8792 | -See \`config.log' for more details." >&2;} | |
8745 | + { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5 | |
8746 | +echo "$as_me: error: internal error: not reached in cross-compile" >&2;} | |
8793 | 8747 | { (exit 1); exit 1; }; } |
8794 | 8748 | else |
8795 | 8749 | cat >conftest.$ac_ext <<_ACEOF |
@@ -8903,8 +8857,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
8903 | 8857 | cat conftest.err >&5 |
8904 | 8858 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
8905 | 8859 | (exit $ac_status); } && |
8906 | - { ac_try='test -z "$ac_c_werror_flag" | |
8907 | - || test ! -s conftest.err' | |
8860 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
8908 | 8861 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
8909 | 8862 | (eval $ac_try) 2>&5 |
8910 | 8863 | ac_status=$? |
@@ -8966,8 +8919,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
8966 | 8919 | cat conftest.err >&5 |
8967 | 8920 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
8968 | 8921 | (exit $ac_status); } && |
8969 | - { ac_try='test -z "$ac_c_werror_flag" | |
8970 | - || test ! -s conftest.err' | |
8922 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
8971 | 8923 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
8972 | 8924 | (eval $ac_try) 2>&5 |
8973 | 8925 | ac_status=$? |
@@ -9007,8 +8959,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
9007 | 8959 | cat conftest.err >&5 |
9008 | 8960 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
9009 | 8961 | (exit $ac_status); } && |
9010 | - { ac_try='test -z "$ac_c_werror_flag" | |
9011 | - || test ! -s conftest.err' | |
8962 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
9012 | 8963 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
9013 | 8964 | (eval $ac_try) 2>&5 |
9014 | 8965 | ac_status=$? |
@@ -9064,8 +9015,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
9064 | 9015 | cat conftest.err >&5 |
9065 | 9016 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
9066 | 9017 | (exit $ac_status); } && |
9067 | - { ac_try='test -z "$ac_c_werror_flag" | |
9068 | - || test ! -s conftest.err' | |
9018 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
9069 | 9019 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
9070 | 9020 | (eval $ac_try) 2>&5 |
9071 | 9021 | ac_status=$? |
@@ -9105,8 +9055,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
9105 | 9055 | cat conftest.err >&5 |
9106 | 9056 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
9107 | 9057 | (exit $ac_status); } && |
9108 | - { ac_try='test -z "$ac_c_werror_flag" | |
9109 | - || test ! -s conftest.err' | |
9058 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
9110 | 9059 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
9111 | 9060 | (eval $ac_try) 2>&5 |
9112 | 9061 | ac_status=$? |
@@ -9170,8 +9119,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
9170 | 9119 | cat conftest.err >&5 |
9171 | 9120 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
9172 | 9121 | (exit $ac_status); } && |
9173 | - { ac_try='test -z "$ac_c_werror_flag" | |
9174 | - || test ! -s conftest.err' | |
9122 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
9175 | 9123 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
9176 | 9124 | (eval $ac_try) 2>&5 |
9177 | 9125 | ac_status=$? |
@@ -9202,10 +9150,8 @@ See \`config.log' for more details." >&2;} | ||
9202 | 9150 | esac |
9203 | 9151 | else |
9204 | 9152 | if test "$cross_compiling" = yes; then |
9205 | - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling | |
9206 | -See \`config.log' for more details." >&5 | |
9207 | -echo "$as_me: error: cannot run test program while cross compiling | |
9208 | -See \`config.log' for more details." >&2;} | |
9153 | + { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5 | |
9154 | +echo "$as_me: error: internal error: not reached in cross-compile" >&2;} | |
9209 | 9155 | { (exit 1); exit 1; }; } |
9210 | 9156 | else |
9211 | 9157 | cat >conftest.$ac_ext <<_ACEOF |
@@ -9384,8 +9330,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
9384 | 9330 | cat conftest.err >&5 |
9385 | 9331 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
9386 | 9332 | (exit $ac_status); } && |
9387 | - { ac_try='test -z "$ac_c_werror_flag" | |
9388 | - || test ! -s conftest.err' | |
9333 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
9389 | 9334 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
9390 | 9335 | (eval $ac_try) 2>&5 |
9391 | 9336 | ac_status=$? |
@@ -9536,8 +9481,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
9536 | 9481 | cat conftest.err >&5 |
9537 | 9482 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
9538 | 9483 | (exit $ac_status); } && |
9539 | - { ac_try='test -z "$ac_c_werror_flag" | |
9540 | - || test ! -s conftest.err' | |
9484 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
9541 | 9485 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
9542 | 9486 | (eval $ac_try) 2>&5 |
9543 | 9487 | ac_status=$? |
@@ -9685,8 +9629,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
9685 | 9629 | cat conftest.err >&5 |
9686 | 9630 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
9687 | 9631 | (exit $ac_status); } && |
9688 | - { ac_try='test -z "$ac_c_werror_flag" | |
9689 | - || test ! -s conftest.err' | |
9632 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
9690 | 9633 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
9691 | 9634 | (eval $ac_try) 2>&5 |
9692 | 9635 | ac_status=$? |
@@ -9757,8 +9700,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
9757 | 9700 | cat conftest.err >&5 |
9758 | 9701 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
9759 | 9702 | (exit $ac_status); } && |
9760 | - { ac_try='test -z "$ac_c_werror_flag" | |
9761 | - || test ! -s conftest.err' | |
9703 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
9762 | 9704 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
9763 | 9705 | (eval $ac_try) 2>&5 |
9764 | 9706 | ac_status=$? |
@@ -9830,8 +9772,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
9830 | 9772 | cat conftest.err >&5 |
9831 | 9773 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
9832 | 9774 | (exit $ac_status); } && |
9833 | - { ac_try='test -z "$ac_c_werror_flag" | |
9834 | - || test ! -s conftest.err' | |
9775 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
9835 | 9776 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
9836 | 9777 | (eval $ac_try) 2>&5 |
9837 | 9778 | ac_status=$? |
@@ -9885,8 +9826,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
9885 | 9826 | cat conftest.err >&5 |
9886 | 9827 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
9887 | 9828 | (exit $ac_status); } && |
9888 | - { ac_try='test -z "$ac_c_werror_flag" | |
9889 | - || test ! -s conftest.err' | |
9829 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
9890 | 9830 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
9891 | 9831 | (eval $ac_try) 2>&5 |
9892 | 9832 | ac_status=$? |
@@ -9957,8 +9897,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
9957 | 9897 | cat conftest.err >&5 |
9958 | 9898 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
9959 | 9899 | (exit $ac_status); } && |
9960 | - { ac_try='test -z "$ac_c_werror_flag" | |
9961 | - || test ! -s conftest.err' | |
9900 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
9962 | 9901 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
9963 | 9902 | (eval $ac_try) 2>&5 |
9964 | 9903 | ac_status=$? |
@@ -10012,8 +9951,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
10012 | 9951 | cat conftest.err >&5 |
10013 | 9952 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
10014 | 9953 | (exit $ac_status); } && |
10015 | - { ac_try='test -z "$ac_c_werror_flag" | |
10016 | - || test ! -s conftest.err' | |
9954 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
10017 | 9955 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
10018 | 9956 | (eval $ac_try) 2>&5 |
10019 | 9957 | ac_status=$? |
@@ -10077,8 +10015,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
10077 | 10015 | cat conftest.err >&5 |
10078 | 10016 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
10079 | 10017 | (exit $ac_status); } && |
10080 | - { ac_try='test -z "$ac_c_werror_flag" | |
10081 | - || test ! -s conftest.err' | |
10018 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
10082 | 10019 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
10083 | 10020 | (eval $ac_try) 2>&5 |
10084 | 10021 | ac_status=$? |
@@ -10184,8 +10121,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
10184 | 10121 | cat conftest.err >&5 |
10185 | 10122 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
10186 | 10123 | (exit $ac_status); } && |
10187 | - { ac_try='test -z "$ac_c_werror_flag" | |
10188 | - || test ! -s conftest.err' | |
10124 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
10189 | 10125 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
10190 | 10126 | (eval $ac_try) 2>&5 |
10191 | 10127 | ac_status=$? |
@@ -10286,8 +10222,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
10286 | 10222 | cat conftest.err >&5 |
10287 | 10223 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
10288 | 10224 | (exit $ac_status); } && |
10289 | - { ac_try='test -z "$ac_c_werror_flag" | |
10290 | - || test ! -s conftest.err' | |
10225 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
10291 | 10226 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
10292 | 10227 | (eval $ac_try) 2>&5 |
10293 | 10228 | ac_status=$? |
@@ -10352,8 +10287,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
10352 | 10287 | cat conftest.err >&5 |
10353 | 10288 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
10354 | 10289 | (exit $ac_status); } && |
10355 | - { ac_try='test -z "$ac_c_werror_flag" | |
10356 | - || test ! -s conftest.err' | |
10290 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
10357 | 10291 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
10358 | 10292 | (eval $ac_try) 2>&5 |
10359 | 10293 | ac_status=$? |
@@ -10424,8 +10358,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
10424 | 10358 | cat conftest.err >&5 |
10425 | 10359 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
10426 | 10360 | (exit $ac_status); } && |
10427 | - { ac_try='test -z "$ac_c_werror_flag" | |
10428 | - || test ! -s conftest.err' | |
10361 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
10429 | 10362 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
10430 | 10363 | (eval $ac_try) 2>&5 |
10431 | 10364 | ac_status=$? |
@@ -10496,8 +10429,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
10496 | 10429 | cat conftest.err >&5 |
10497 | 10430 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
10498 | 10431 | (exit $ac_status); } && |
10499 | - { ac_try='test -z "$ac_c_werror_flag" | |
10500 | - || test ! -s conftest.err' | |
10432 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
10501 | 10433 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
10502 | 10434 | (eval $ac_try) 2>&5 |
10503 | 10435 | ac_status=$? |
@@ -10568,8 +10500,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
10568 | 10500 | cat conftest.err >&5 |
10569 | 10501 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
10570 | 10502 | (exit $ac_status); } && |
10571 | - { ac_try='test -z "$ac_c_werror_flag" | |
10572 | - || test ! -s conftest.err' | |
10503 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
10573 | 10504 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
10574 | 10505 | (eval $ac_try) 2>&5 |
10575 | 10506 | ac_status=$? |
@@ -10640,8 +10571,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
10640 | 10571 | cat conftest.err >&5 |
10641 | 10572 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
10642 | 10573 | (exit $ac_status); } && |
10643 | - { ac_try='test -z "$ac_c_werror_flag" | |
10644 | - || test ! -s conftest.err' | |
10574 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
10645 | 10575 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
10646 | 10576 | (eval $ac_try) 2>&5 |
10647 | 10577 | ac_status=$? |
@@ -10723,8 +10653,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
10723 | 10653 | cat conftest.err >&5 |
10724 | 10654 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
10725 | 10655 | (exit $ac_status); } && |
10726 | - { ac_try='test -z "$ac_c_werror_flag" | |
10727 | - || test ! -s conftest.err' | |
10656 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
10728 | 10657 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
10729 | 10658 | (eval $ac_try) 2>&5 |
10730 | 10659 | ac_status=$? |
@@ -10795,8 +10724,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
10795 | 10724 | cat conftest.err >&5 |
10796 | 10725 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
10797 | 10726 | (exit $ac_status); } && |
10798 | - { ac_try='test -z "$ac_c_werror_flag" | |
10799 | - || test ! -s conftest.err' | |
10727 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
10800 | 10728 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
10801 | 10729 | (eval $ac_try) 2>&5 |
10802 | 10730 | ac_status=$? |
@@ -10867,8 +10795,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
10867 | 10795 | cat conftest.err >&5 |
10868 | 10796 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
10869 | 10797 | (exit $ac_status); } && |
10870 | - { ac_try='test -z "$ac_c_werror_flag" | |
10871 | - || test ! -s conftest.err' | |
10798 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
10872 | 10799 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
10873 | 10800 | (eval $ac_try) 2>&5 |
10874 | 10801 | ac_status=$? |
@@ -10939,8 +10866,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
10939 | 10866 | cat conftest.err >&5 |
10940 | 10867 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
10941 | 10868 | (exit $ac_status); } && |
10942 | - { ac_try='test -z "$ac_c_werror_flag" | |
10943 | - || test ! -s conftest.err' | |
10869 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
10944 | 10870 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
10945 | 10871 | (eval $ac_try) 2>&5 |
10946 | 10872 | ac_status=$? |
@@ -11011,8 +10937,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
11011 | 10937 | cat conftest.err >&5 |
11012 | 10938 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
11013 | 10939 | (exit $ac_status); } && |
11014 | - { ac_try='test -z "$ac_c_werror_flag" | |
11015 | - || test ! -s conftest.err' | |
10940 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
11016 | 10941 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
11017 | 10942 | (eval $ac_try) 2>&5 |
11018 | 10943 | ac_status=$? |
@@ -11083,8 +11008,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
11083 | 11008 | cat conftest.err >&5 |
11084 | 11009 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
11085 | 11010 | (exit $ac_status); } && |
11086 | - { ac_try='test -z "$ac_c_werror_flag" | |
11087 | - || test ! -s conftest.err' | |
11011 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
11088 | 11012 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
11089 | 11013 | (eval $ac_try) 2>&5 |
11090 | 11014 | ac_status=$? |
@@ -11155,8 +11079,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
11155 | 11079 | cat conftest.err >&5 |
11156 | 11080 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
11157 | 11081 | (exit $ac_status); } && |
11158 | - { ac_try='test -z "$ac_c_werror_flag" | |
11159 | - || test ! -s conftest.err' | |
11082 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
11160 | 11083 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
11161 | 11084 | (eval $ac_try) 2>&5 |
11162 | 11085 | ac_status=$? |
@@ -11227,8 +11150,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
11227 | 11150 | cat conftest.err >&5 |
11228 | 11151 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
11229 | 11152 | (exit $ac_status); } && |
11230 | - { ac_try='test -z "$ac_c_werror_flag" | |
11231 | - || test ! -s conftest.err' | |
11153 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
11232 | 11154 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
11233 | 11155 | (eval $ac_try) 2>&5 |
11234 | 11156 | ac_status=$? |
@@ -11299,8 +11221,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
11299 | 11221 | cat conftest.err >&5 |
11300 | 11222 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
11301 | 11223 | (exit $ac_status); } && |
11302 | - { ac_try='test -z "$ac_c_werror_flag" | |
11303 | - || test ! -s conftest.err' | |
11224 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
11304 | 11225 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
11305 | 11226 | (eval $ac_try) 2>&5 |
11306 | 11227 | ac_status=$? |
@@ -11527,8 +11448,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
11527 | 11448 | cat conftest.err >&5 |
11528 | 11449 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
11529 | 11450 | (exit $ac_status); } && |
11530 | - { ac_try='test -z "$ac_c_werror_flag" | |
11531 | - || test ! -s conftest.err' | |
11451 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
11532 | 11452 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
11533 | 11453 | (eval $ac_try) 2>&5 |
11534 | 11454 | ac_status=$? |
@@ -11648,8 +11568,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
11648 | 11568 | cat conftest.err >&5 |
11649 | 11569 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
11650 | 11570 | (exit $ac_status); } && |
11651 | - { ac_try='test -z "$ac_c_werror_flag" | |
11652 | - || test ! -s conftest.err' | |
11571 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
11653 | 11572 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
11654 | 11573 | (eval $ac_try) 2>&5 |
11655 | 11574 | ac_status=$? |
@@ -11796,8 +11715,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
11796 | 11715 | cat conftest.err >&5 |
11797 | 11716 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
11798 | 11717 | (exit $ac_status); } && |
11799 | - { ac_try='test -z "$ac_c_werror_flag" | |
11800 | - || test ! -s conftest.err' | |
11718 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
11801 | 11719 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
11802 | 11720 | (eval $ac_try) 2>&5 |
11803 | 11721 | ac_status=$? |
@@ -11861,8 +11779,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
11861 | 11779 | cat conftest.err >&5 |
11862 | 11780 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
11863 | 11781 | (exit $ac_status); } && |
11864 | - { ac_try='test -z "$ac_c_werror_flag" | |
11865 | - || test ! -s conftest.err' | |
11782 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
11866 | 11783 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
11867 | 11784 | (eval $ac_try) 2>&5 |
11868 | 11785 | ac_status=$? |
@@ -11926,8 +11843,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
11926 | 11843 | cat conftest.err >&5 |
11927 | 11844 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
11928 | 11845 | (exit $ac_status); } && |
11929 | - { ac_try='test -z "$ac_c_werror_flag" | |
11930 | - || test ! -s conftest.err' | |
11846 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
11931 | 11847 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
11932 | 11848 | (eval $ac_try) 2>&5 |
11933 | 11849 | ac_status=$? |
@@ -11991,8 +11907,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
11991 | 11907 | cat conftest.err >&5 |
11992 | 11908 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
11993 | 11909 | (exit $ac_status); } && |
11994 | - { ac_try='test -z "$ac_c_werror_flag" | |
11995 | - || test ! -s conftest.err' | |
11910 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
11996 | 11911 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
11997 | 11912 | (eval $ac_try) 2>&5 |
11998 | 11913 | ac_status=$? |
@@ -12056,8 +11971,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
12056 | 11971 | cat conftest.err >&5 |
12057 | 11972 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
12058 | 11973 | (exit $ac_status); } && |
12059 | - { ac_try='test -z "$ac_c_werror_flag" | |
12060 | - || test ! -s conftest.err' | |
11974 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
12061 | 11975 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
12062 | 11976 | (eval $ac_try) 2>&5 |
12063 | 11977 | ac_status=$? |
@@ -12121,8 +12035,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
12121 | 12035 | cat conftest.err >&5 |
12122 | 12036 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
12123 | 12037 | (exit $ac_status); } && |
12124 | - { ac_try='test -z "$ac_c_werror_flag" | |
12125 | - || test ! -s conftest.err' | |
12038 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
12126 | 12039 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
12127 | 12040 | (eval $ac_try) 2>&5 |
12128 | 12041 | ac_status=$? |
@@ -12186,8 +12099,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
12186 | 12099 | cat conftest.err >&5 |
12187 | 12100 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
12188 | 12101 | (exit $ac_status); } && |
12189 | - { ac_try='test -z "$ac_c_werror_flag" | |
12190 | - || test ! -s conftest.err' | |
12102 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
12191 | 12103 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
12192 | 12104 | (eval $ac_try) 2>&5 |
12193 | 12105 | ac_status=$? |
@@ -12251,8 +12163,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
12251 | 12163 | cat conftest.err >&5 |
12252 | 12164 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
12253 | 12165 | (exit $ac_status); } && |
12254 | - { ac_try='test -z "$ac_c_werror_flag" | |
12255 | - || test ! -s conftest.err' | |
12166 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
12256 | 12167 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
12257 | 12168 | (eval $ac_try) 2>&5 |
12258 | 12169 | ac_status=$? |
@@ -12316,8 +12227,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
12316 | 12227 | cat conftest.err >&5 |
12317 | 12228 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
12318 | 12229 | (exit $ac_status); } && |
12319 | - { ac_try='test -z "$ac_c_werror_flag" | |
12320 | - || test ! -s conftest.err' | |
12230 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
12321 | 12231 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
12322 | 12232 | (eval $ac_try) 2>&5 |
12323 | 12233 | ac_status=$? |
@@ -12381,8 +12291,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
12381 | 12291 | cat conftest.err >&5 |
12382 | 12292 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
12383 | 12293 | (exit $ac_status); } && |
12384 | - { ac_try='test -z "$ac_c_werror_flag" | |
12385 | - || test ! -s conftest.err' | |
12294 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
12386 | 12295 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
12387 | 12296 | (eval $ac_try) 2>&5 |
12388 | 12297 | ac_status=$? |
@@ -12446,8 +12355,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
12446 | 12355 | cat conftest.err >&5 |
12447 | 12356 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
12448 | 12357 | (exit $ac_status); } && |
12449 | - { ac_try='test -z "$ac_c_werror_flag" | |
12450 | - || test ! -s conftest.err' | |
12358 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
12451 | 12359 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
12452 | 12360 | (eval $ac_try) 2>&5 |
12453 | 12361 | ac_status=$? |
@@ -12511,8 +12419,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
12511 | 12419 | cat conftest.err >&5 |
12512 | 12420 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
12513 | 12421 | (exit $ac_status); } && |
12514 | - { ac_try='test -z "$ac_c_werror_flag" | |
12515 | - || test ! -s conftest.err' | |
12422 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
12516 | 12423 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
12517 | 12424 | (eval $ac_try) 2>&5 |
12518 | 12425 | ac_status=$? |
@@ -12576,8 +12483,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
12576 | 12483 | cat conftest.err >&5 |
12577 | 12484 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
12578 | 12485 | (exit $ac_status); } && |
12579 | - { ac_try='test -z "$ac_c_werror_flag" | |
12580 | - || test ! -s conftest.err' | |
12486 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
12581 | 12487 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
12582 | 12488 | (eval $ac_try) 2>&5 |
12583 | 12489 | ac_status=$? |
@@ -12641,8 +12547,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
12641 | 12547 | cat conftest.err >&5 |
12642 | 12548 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
12643 | 12549 | (exit $ac_status); } && |
12644 | - { ac_try='test -z "$ac_c_werror_flag" | |
12645 | - || test ! -s conftest.err' | |
12550 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
12646 | 12551 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
12647 | 12552 | (eval $ac_try) 2>&5 |
12648 | 12553 | ac_status=$? |
@@ -12706,8 +12611,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
12706 | 12611 | cat conftest.err >&5 |
12707 | 12612 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
12708 | 12613 | (exit $ac_status); } && |
12709 | - { ac_try='test -z "$ac_c_werror_flag" | |
12710 | - || test ! -s conftest.err' | |
12614 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
12711 | 12615 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
12712 | 12616 | (eval $ac_try) 2>&5 |
12713 | 12617 | ac_status=$? |
@@ -12771,8 +12675,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
12771 | 12675 | cat conftest.err >&5 |
12772 | 12676 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
12773 | 12677 | (exit $ac_status); } && |
12774 | - { ac_try='test -z "$ac_c_werror_flag" | |
12775 | - || test ! -s conftest.err' | |
12678 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
12776 | 12679 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
12777 | 12680 | (eval $ac_try) 2>&5 |
12778 | 12681 | ac_status=$? |
@@ -13326,7 +13229,8 @@ esac | ||
13326 | 13229 | |
13327 | 13230 | |
13328 | 13231 | |
13329 | -for ac_func in ftello ftello64 fseeko fseeko64 | |
13232 | + | |
13233 | +for ac_func in ftello ftello64 fseeko fseeko64 fopen64 | |
13330 | 13234 | do |
13331 | 13235 | as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` |
13332 | 13236 | echo "$as_me:$LINENO: checking for $ac_func" >&5 |
@@ -13394,8 +13298,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
13394 | 13298 | cat conftest.err >&5 |
13395 | 13299 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
13396 | 13300 | (exit $ac_status); } && |
13397 | - { ac_try='test -z "$ac_c_werror_flag" | |
13398 | - || test ! -s conftest.err' | |
13301 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
13399 | 13302 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
13400 | 13303 | (eval $ac_try) 2>&5 |
13401 | 13304 | ac_status=$? |
@@ -13460,8 +13363,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
13460 | 13363 | cat conftest.err >&5 |
13461 | 13364 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
13462 | 13365 | (exit $ac_status); } && |
13463 | - { ac_try='test -z "$ac_c_werror_flag" | |
13464 | - || test ! -s conftest.err' | |
13366 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
13465 | 13367 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
13466 | 13368 | (eval $ac_try) 2>&5 |
13467 | 13369 | ac_status=$? |
@@ -13523,8 +13425,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
13523 | 13425 | cat conftest.err >&5 |
13524 | 13426 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
13525 | 13427 | (exit $ac_status); } && |
13526 | - { ac_try='test -z "$ac_c_werror_flag" | |
13527 | - || test ! -s conftest.err' | |
13428 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
13528 | 13429 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
13529 | 13430 | (eval $ac_try) 2>&5 |
13530 | 13431 | ac_status=$? |
@@ -13564,8 +13465,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
13564 | 13465 | cat conftest.err >&5 |
13565 | 13466 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
13566 | 13467 | (exit $ac_status); } && |
13567 | - { ac_try='test -z "$ac_c_werror_flag" | |
13568 | - || test ! -s conftest.err' | |
13468 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
13569 | 13469 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
13570 | 13470 | (eval $ac_try) 2>&5 |
13571 | 13471 | ac_status=$? |
@@ -13621,8 +13521,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
13621 | 13521 | cat conftest.err >&5 |
13622 | 13522 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
13623 | 13523 | (exit $ac_status); } && |
13624 | - { ac_try='test -z "$ac_c_werror_flag" | |
13625 | - || test ! -s conftest.err' | |
13524 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
13626 | 13525 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
13627 | 13526 | (eval $ac_try) 2>&5 |
13628 | 13527 | ac_status=$? |
@@ -13662,8 +13561,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
13662 | 13561 | cat conftest.err >&5 |
13663 | 13562 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
13664 | 13563 | (exit $ac_status); } && |
13665 | - { ac_try='test -z "$ac_c_werror_flag" | |
13666 | - || test ! -s conftest.err' | |
13564 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
13667 | 13565 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
13668 | 13566 | (eval $ac_try) 2>&5 |
13669 | 13567 | ac_status=$? |
@@ -13727,8 +13625,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
13727 | 13625 | cat conftest.err >&5 |
13728 | 13626 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
13729 | 13627 | (exit $ac_status); } && |
13730 | - { ac_try='test -z "$ac_c_werror_flag" | |
13731 | - || test ! -s conftest.err' | |
13628 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
13732 | 13629 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
13733 | 13630 | (eval $ac_try) 2>&5 |
13734 | 13631 | ac_status=$? |
@@ -13759,10 +13656,8 @@ See \`config.log' for more details." >&2;} | ||
13759 | 13656 | esac |
13760 | 13657 | else |
13761 | 13658 | if test "$cross_compiling" = yes; then |
13762 | - { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling | |
13763 | -See \`config.log' for more details." >&5 | |
13764 | -echo "$as_me: error: cannot run test program while cross compiling | |
13765 | -See \`config.log' for more details." >&2;} | |
13659 | + { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5 | |
13660 | +echo "$as_me: error: internal error: not reached in cross-compile" >&2;} | |
13766 | 13661 | { (exit 1); exit 1; }; } |
13767 | 13662 | else |
13768 | 13663 | cat >conftest.$ac_ext <<_ACEOF |
@@ -13901,8 +13796,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | ||
13901 | 13796 | cat conftest.err >&5 |
13902 | 13797 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
13903 | 13798 | (exit $ac_status); } && |
13904 | - { ac_try='test -z "$ac_c_werror_flag" | |
13905 | - || test ! -s conftest.err' | |
13799 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
13906 | 13800 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
13907 | 13801 | (eval $ac_try) 2>&5 |
13908 | 13802 | ac_status=$? |
@@ -14086,8 +13980,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
14086 | 13980 | cat conftest.err >&5 |
14087 | 13981 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
14088 | 13982 | (exit $ac_status); } && |
14089 | - { ac_try='test -z "$ac_c_werror_flag" | |
14090 | - || test ! -s conftest.err' | |
13983 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
14091 | 13984 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
14092 | 13985 | (eval $ac_try) 2>&5 |
14093 | 13986 | ac_status=$? |
@@ -14364,8 +14257,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | ||
14364 | 14257 | cat conftest.err >&5 |
14365 | 14258 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
14366 | 14259 | (exit $ac_status); } && |
14367 | - { ac_try='test -z "$ac_c_werror_flag" | |
14368 | - || test ! -s conftest.err' | |
14260 | + { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' | |
14369 | 14261 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
14370 | 14262 | (eval $ac_try) 2>&5 |
14371 | 14263 | ac_status=$? |
@@ -15346,11 +15238,6 @@ esac | ||
15346 | 15238 | *) ac_INSTALL=$ac_top_builddir$INSTALL ;; |
15347 | 15239 | esac |
15348 | 15240 | |
15349 | - if test x"$ac_file" != x-; then | |
15350 | - { echo "$as_me:$LINENO: creating $ac_file" >&5 | |
15351 | -echo "$as_me: creating $ac_file" >&6;} | |
15352 | - rm -f "$ac_file" | |
15353 | - fi | |
15354 | 15241 | # Let's still pretend it is `configure' which instantiates (i.e., don't |
15355 | 15242 | # use $as_me), people would be surprised to read: |
15356 | 15243 | # /* config.h. Generated by config.status. */ |
@@ -15389,6 +15276,12 @@ echo "$as_me: error: cannot find input file: $f" >&2;} | ||
15389 | 15276 | fi;; |
15390 | 15277 | esac |
15391 | 15278 | done` || { (exit 1); exit 1; } |
15279 | + | |
15280 | + if test x"$ac_file" != x-; then | |
15281 | + { echo "$as_me:$LINENO: creating $ac_file" >&5 | |
15282 | +echo "$as_me: creating $ac_file" >&6;} | |
15283 | + rm -f "$ac_file" | |
15284 | + fi | |
15392 | 15285 | _ACEOF |
15393 | 15286 | cat >>$CONFIG_STATUS <<_ACEOF |
15394 | 15287 | sed "$ac_vpsub |
@@ -921,7 +921,7 @@ AC_SUBST(bfd_default_target_size) | ||
921 | 921 | # fseeko, long. This assumes that sizeof off_t is .ge. sizeof long. |
922 | 922 | # Hopefully a reasonable assumption since fseeko et.al. should be |
923 | 923 | # upward compatible. |
924 | -AC_CHECK_FUNCS(ftello ftello64 fseeko fseeko64) | |
924 | +AC_CHECK_FUNCS(ftello ftello64 fseeko fseeko64 fopen64) | |
925 | 925 | if test x"$ac_cv_func_ftello" = xyes -a x"$ac_cv_func_fseeko" = xyes; then |
926 | 926 | AC_CHECK_SIZEOF(off_t) |
927 | 927 | fi |
@@ -651,6 +651,7 @@ extern void _bfd_abort | ||
651 | 651 | the system "off_t" or "off64_t", as the offset. */ |
652 | 652 | extern file_ptr real_ftell (FILE *file); |
653 | 653 | extern int real_fseek (FILE *file, file_ptr offset, int whence); |
654 | +extern FILE *real_fopen (const char *filename, const char *modes); | |
654 | 655 | |
655 | 656 | /* List of supported target vectors, and the default vector (if |
656 | 657 | bfd_default_vector[0] is NULL, there is no default). */ |
@@ -656,6 +656,7 @@ extern void _bfd_abort | ||
656 | 656 | the system "off_t" or "off64_t", as the offset. */ |
657 | 657 | extern file_ptr real_ftell (FILE *file); |
658 | 658 | extern int real_fseek (FILE *file, file_ptr offset, int whence); |
659 | +extern FILE *real_fopen (const char *filename, const char *modes); | |
659 | 660 | |
660 | 661 | /* List of supported target vectors, and the default vector (if |
661 | 662 | bfd_default_vector[0] is NULL, there is no default). */ |
@@ -175,7 +175,7 @@ bfd_fopen (const char *filename, const char *target, const char *mode, int fd) | ||
175 | 175 | nbfd->iostream = fdopen (fd, mode); |
176 | 176 | else |
177 | 177 | #endif |
178 | - nbfd->iostream = fopen (filename, mode); | |
178 | + nbfd->iostream = real_fopen (filename, mode); | |
179 | 179 | if (nbfd->iostream == NULL) |
180 | 180 | { |
181 | 181 | bfd_set_error (bfd_error_system_call); |
@@ -1407,7 +1407,7 @@ bfd_fill_in_gnu_debuglink_section (bfd *abfd, | ||
1407 | 1407 | .gnu_debuglink section, we insist upon the user providing us with a |
1408 | 1408 | correct-for-section-creation-time path, but this need not conform to |
1409 | 1409 | the gdb location algorithm. */ |
1410 | - handle = fopen (filename, FOPEN_RB); | |
1410 | + handle = real_fopen (filename, FOPEN_RB); | |
1411 | 1411 | if (handle == NULL) |
1412 | 1412 | { |
1413 | 1413 | bfd_set_error (bfd_error_system_call); |